Metavault API - Get model entity columns

GetEntityColumns - GET

Path

/api/projects/{projectId}/model/columns

Http Method

GET

Overview

Retrieve and search through the list of columns associated with model entities. Includes an option to choose between entity types to include. Hubs, links, satellites and reference tables.

Optionally includes technical columns.

Required permissions

  • Read access to the Build module. BUILD READ

OR

  • Read access to the Distribute module. BUILD READ

Request

Query parameters

Parameter

Type

Required

Default

Description

Example

searchEntityName

string

No


Return columns from entities that have this string in their name. Case insensitive.

Employee

searchColumnName

string

No


Return columns that have this string in their name. Case insensitive.

color

includeHubs

bool

No

true

Include hubs in the list of entities.

true

includeLinks

bool

No

true

Include links in the list of entities.

false

includeSatellites

bool

No

true

Include satellites in the list of entities.

true

includeReferenceTables

bool

No

true

Include reference tables in the list of entities.

false

includeTechnicalColumns

bool

No

true

Include columns that are not considered part of the business data, but are used in the data vault.

true

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "entity_columns": [
      {
        "entityName": "h_Employee",
        "entityType": "Hub",
        "columnName": "bk",
        "columnLength": 255,
        "columnDataType": "String",
        "typeFullName": "VARCHAR(255)"
      },
      {
        "entityName": "h_Team",
        "entityType": "Hub",
        "columnName": "bk",
        "columnLength": 255,
        "columnDataType": "String",
        "typeFullName": "VARCHAR(255)"
      },
      {
        "entityName": "sh_Team_info",
        "entityType": "Satellite",
        "entityIsMultiActive": false,
        "columnName": "code",
        "columnLength": 255,
        "columnDataType": "String",
        "typeFullName": "VARCHAR(255)"
      },
      {
        "entityName": "sh_Employee_info",
        "entityType": "Satellite",
        "entityIsMultiActive": false,
        "columnName": "color",
        "columnLength": 255,
        "columnDataType": "String",
        "typeFullName": "VARCHAR(255)"
      },
      {
        "entityName": "color_ref",
        "entityType": "ReferenceTable",
        "columnName": "color",
        "columnLength": 255,
        "columnDataType": "String",
        "typeFullName": "VARCHAR(255)"
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 31
}